Kick off a bulk export request for a group of patients
get
/Group/{Group_ID}/$export
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
The operation is defined at:
GET https://<Service Root URL>/r4/OperationDefinition/group-export?_format=json
Note:
- Bulk data export requests do not currently recognize the Accept-Language header;
en-USis used instead. - The authorization token must contain system read scopes for all resources requested in the
_typeparameter. - The following experimental parameters are not supported:
_elements,_typeFilter, andpatient. - When both the
includeAssociatedDataparameter and the_typeparameter are provided, the_typeparameter must includeProvenance.
Provenance Behavior
- Provenances for the Location, Organization, and Practitioner resources cannot be exported.
- When the
_typeparameter is not provided and the authorization token includes the Provenance read scope, all relevant Provenance resources associated with each of the non-Provenance resources are exported by default. You may use theincludeAssociatedDataparameter to export only the latest provenance. - When the
_typeparameter is provided with specific resources and includes Provenance, all relevant Provenance resources associated with each of the non-Provenance resources are exported by default.
Optional Header
When the Prefer: handling=lenient header is provided, any unknown or unsupported parameters are ignored as specified in the Bulk Data Export query parameters.
Request
Path Parameters
-
Group_ID(required): string
The logical resource ID.
Query Parameters
-
_outputFormat: string
The format for the requested bulk data files to be generated. Valid parameters are
application/fhir+ndjson,application/ndjson, andndjson. Defaults toapplication/fhir+ndjsonwhen not provided.
Example:_outputFormat=application/ndjson -
_since: string
Resources updated after this time are included in the response.
Example:2021-03-18T19:19:42.000Z -
_type: string
A string of comma-delimited FHIR resource types.
- The following values are valid:
AllergyIntoleranceCarePlanCareTeamConditionCoverageDeviceDiagnosticReportDocumentReferenceEncounterGoalImmunizationLocationMedicationDispenseMedicationRequestPatientProcedureObservationOrganizationPractitionerProvenanceRelatedPersonServiceRequestSpecimen- When the
_typeparameter contains a reference resource (Location,Organization,Practitioner,RelatedPerson, orSpecimen) or an associated resource (Provenance), at least one of the following resources must also be provided:AllergyIntoleranceCarePlanCareTeamConditionCoverageDeviceDiagnosticReportDocumentReferenceEncounterGoalImmunizationMedicationDispenseMedicationRequestObservationPatientProcedureServiceRequest
- When the
_typeparameter is not provided, the resources to be exported are determined by the scopes provided in the authorization token.
_type=Patient,Encounter,Location
Header Parameters
-
Accept(required): string
The media type to be requested. Refer to what the resource's operation produces for what is supported.
Example:
application/fhir+json -
Authorization(required): string
Contains the credentials to authenticate a consumer to the service. This should be the OAuth2 Bearer Token.
-
Prefer(required): string
Specifies whether the response is immediate or asynchronous.
respond-asyncis supported. A client must provide this header.
There's no request body for this operation.
Back to TopResponse
Default Response
Example Request:
GET https://<Service Root URL>/r4/ec2458f2-1e24-41c8-b71b-0e701af7583d/Group/11ec-d16a-c763b73e-98e8-a31715e6a2bf/$export
Example Response:
Status: 202 Accepted
Content-Location: https://<Service Root URL>/r4/ec2458f2-1e24-41c8-b71b-0e701af7583d/bulk-export/jobs/<Job_ID>
Headers
-
Content-Location:
Indicates the url to access the status of the export request.
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, provide the
opc-request-id, if present.